c
c *** PROGRAM SERIE *** 4 Mai 97
c
      REAL*8 tempo1,tempo2
c
c     lê o valor de N
    4 write(*,5)
    5 format(//,5x,'Entre com o valor de N = ',\)
      read(*,*) N
c
c     calcula a série para N termos 
c     e o tempo de processamento com TIMEF
      tempo1 = TIMEF()
      serie = 0
      do i = 1, N
 	  serie = serie + 1.0/i
 	end do
      tempo2 = TIMEF()
c
c     informa o resultado na tela
      write(*,6) N, serie, tempo2-tempo1
    6 format(//,5x,'O resultado da série para N = ',i10,
     #       //,20x,'é = ',f10.3,
	#       //,5x,'tempo de processamento (s) = ',1pe10.2,/)
c
c     retorna ao início para um novo cálculo
      goto 4
c
      end